Package org.eclipse.mat.ui.editor

# Class MultiPaneEditorSelectionProvider

java.lang.Object
org.eclipse.mat.ui.editor.MultiPaneEditorSelectionProvider

All Implemented Interfaces:
  `ISelectionProvider`

public class MultiPaneEditorSelectionProvider extends Object implements ISelectionProvider

## Constructor Summary

Constructors
Constructor
Description
`MultiPaneEditorSelectionProvider(MultiPaneEditor multiPageEditor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`fireSelectionChanged(SelectionChangedEvent event)`
`MultiPaneEditor`
`getHeapEditor()`
`ISelection`
`getSelection()`
`void`
`removeSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`setSelection(ISelection selection)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiPaneEditorSelectionProvider

public MultiPaneEditorSelectionProvider(MultiPaneEditor multiPageEditor)

## Method Details

### addSelectionChangedListener

public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

### fireSelectionChanged

public void fireSelectionChanged(SelectionChangedEvent event)

### getHeapEditor

public MultiPaneEditor getHeapEditor()

### getSelection

public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

### removeSelectionChangedListener

public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

### setSelection

public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`